

<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Products<small class="ml-3 mr-3">|</small><small>Products List</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>"><i class="fa fa-dashboard"></i> <?php echo e(trans('lang.dashboard')); ?></a></li>
          <li class="breadcrumb-item"><a href="<?php echo route('productsavailable.index'); ?>">Products</a>
          </li>
          <li class="breadcrumb-item active">Products List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-list mr-2"></i>Products List</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Item Barcode</th>
                                  <th>Product Name</th>
                                  <th>Item Number</th>
                                  <th> Unit Code</th>
                                  <th>Salable Quantity</th>
                              </tr>
                          </thead>
                          <tbody>
                    <?php if(count($productsavailable)>0): ?>
                    <?php $__currentLoopData = $productsavailable; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$productsavailable1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <tr>
                                  <th scope="row"><?php echo e($productsavailable1->entity_id); ?></th>
                                  <td><?php echo e($productsavailable1->sku); ?></td>
                                 <td><?php echo e($productsavailable1->product_name); ?></td>
                                 <td><?php echo e($productsavailable1->item_number); ?></td>
                                 <td><?php echo e($productsavailable1->unit_code); ?></td>
                                 <td><?php echo e($productsavailable1->salableqty); ?></td>
                              </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    <?php endif; ?>
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                    	<div style="display:flex;justify-content: space-between;">
                             <span>
                                 Showing 1 to <?php echo e($perPage); ?> of <?php echo e($productsavailable->total()); ?> entries
                            </span>
                             <span>
                                 <?php echo $productsavailable->links(); ?>

                             </span>
                        </div>
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/productsavailable/index1.blade.php ENDPATH**/ ?>