
<?php $__env->startPush('css_lib'); ?>
<!-- iCheck -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/iCheck/flat/blue.css')); ?>">
<!-- select2 -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/select2/select2.min.css')); ?>">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/summernote-bs4.css')); ?>">

<link rel="stylesheet" href="<?php echo e(asset('plugins/dropzone/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('title',"Category"); ?>
<?php $__env->startSection('content'); ?>
  <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->make('adminlte-templates::common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo e(route('promotion_banner.index').'?page='.$page); ?>"><i class="fa fa-list mr-2"></i>Promotion Banner</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo e(route('promotion_banner.create').'?page='.$page); ?>"><i class="fa fa-plus mr-2"></i>Add PDF Image</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo url()->current(); ?>"><i class="fa fa-pencil mr-2"></i>Edit PDF Image</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      <?php echo Form::open(['route' => ['promotion_banner.tablePdfDetailsUpdate', $promotion_table[0]->id], 'method' => 'patch', 'enctype' => 'multipart/form-data']); ?>

      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <div class="form-group row col-12">
        <?php echo Form::label('pdf_image',"Inside PDF Image", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
            <div class="form-group">
            <!--<label for="image">Promotion Banner Image</label><br>-->
            <input type="file" name="image" id="image" />
            <input type="hidden" name="page" value="<?php echo e($page); ?>" />
            <input type="hidden" name="pdf_old_image_name" value="<?php echo e($promotion_table[0]->image); ?>" />
            <a href="<?php echo e(URL::to('/')); ?>/images/promotion_banner/pdf_images/<?php echo e($page); ?>/<?php echo e($promotion_table[0]->image); ?>" target="_blank"><img src="<?php echo e(URL::to('/')); ?>/images/promotion_banner/pdf_images/<?php echo e($page); ?>/<?php echo e($promotion_table[0]->image); ?>" style="width:30%;" alt="PDF Image" class="img-thumbnail"></a>
          </div>
        </div>
    </div>
    <div class="form-group row col-12">
        <?php echo Form::label('pdf_page_url',"PDF Page Url", ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
            <?php echo Form::text('pdf_page_url',$promotion_table[0]->pdf_page_url,  ['class' => 'form-control','placeholder'=> "PDF Page Url"]); ?>

            <div class="form-text text-muted">
                Enter PDF Page Url
            </div>
        </div>
    </div>
 <div class="form-group row col-12">
        <?php echo Form::label('status', trans("lang.status"), ['class' => 'col-3 control-label']); ?>

        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1" <?php if($result['promotion_banner'][0]->status=="1"): ?>
                                              selected  <?php endif; ?>>Active</option>  
                                        <option value="0" <?php if($result['promotion_banner'][0]->status=="0"): ?>
                                              selected  <?php endif; ?>>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                <?php echo e(trans("lang.status")); ?>

            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?></button>
    <a href="<?php echo e(route('promotion_banner.index').'?page='.$page); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>

      </div>
      <?php echo Form::close(); ?>

      <div class="clearfix"></div>
    </div>
  </div>
</div>
<?php echo $__env->make('layouts.media_modal',['collection'=>null], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts_lib'); ?>
<!-- iCheck -->
<script src="<?php echo e(asset('plugins/iCheck/icheck.min.js')); ?>"></script>
<!-- select2 -->
<script src="<?php echo e(asset('plugins/select2/select2.min.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('plugins/summernote/summernote-bs4.min.js')); ?>"></script>

<script src="<?php echo e(asset('plugins/dropzone/dropzone.js')); ?>"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ctowncp/cp.ctown.jo/deliveryapp/resources/views/promotion_banner/edit.blade.php ENDPATH**/ ?>